// pages/bankDraft/bankDraft.js
import * as UTIL from '../../utils/util.js';
import * as API from '../../utils/API.js';
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    isIPX: app.globalData.isIPX,
    option1: [
      { text: '汇票类型', value: '' },
      { text: '银行承兑', value: '1' },
      { text: '商业承兑', value: '2' },
    ],
    option2: [
      { text: '汇票状态', value: '' },
      { text: '在库', value: '1' },
      { text: '转付中', value: '2' },
      { text: '转付', value: '3' },
      { text: '承兑', value: '4' },
    ],
    value1: '',
    value2: '',
    moneyorderList:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },
  goAdd(){
    wx.navigateTo({
      url: 'add/add',
    })
  },
  back:function(){
    wx.navigateBack({
      delta: 1
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    var that = this;
    UTIL.httpRequest(API.URL_GET_GETDICTTYPE + 'order_type', {method:'GET'}, {
      success: (res) => {
        this.setData({
          orderTypeOptions:res.data
        });
        UTIL.httpRequest(API.URL_GET_GETMONEYORDERLIST, {method:'GET'},{
          success: (response) => {
            if (response.code == API.SUCCESS_CODE) {
    
              for (let i = 0; i < response.rows.length; i++) {
                response.rows[i].orderTypeText = UTIL.getTransform(response.rows[i].orderType,res.data);
                response.rows[i].startTime = response.rows[i].startTime.replace(/-/g,".");
                response.rows[i].endTime = response.rows[i].endTime.replace(/-/g,".");
                response.rows[i].orderAmount =  parseFloat(response.rows[i].orderAmount).toFixed(2);
              }
    
              that.setData({
                moneyorderList:response.rows
              })
            }
          }
        })
      }
    })
    
  },

  changeTab(e){
    var that = this ;
    that.setData({value1:e.detail})

    UTIL.httpRequest(API.URL_GET_GETDICTTYPE + 'order_type', {method:'GET'}, {
      success: (res) => {
        UTIL.httpRequest(API.URL_GET_GETMONEYORDERLIST, {method:'GET',orderType:that.data.value1,orderStatus:that.data.value2},{
          success: (response) => {
            if (response.code == API.SUCCESS_CODE) {
    
              for (let i = 0; i < response.rows.length; i++) {
                response.rows[i].orderTypeText = UTIL.getTransform(response.rows[i].orderType,res.data);
                response.rows[i].startTime = response.rows[i].startTime.replace(/-/g,".");
                response.rows[i].endTime = response.rows[i].endTime.replace(/-/g,".");
                response.rows[i].orderAmount =  parseFloat(response.rows[i].orderAmount).toFixed(2);
              }
    
              that.setData({
                moneyorderList:response.rows
              })
            }
          }
        })
      }
    })


  },
  changeTab2(e){
    var that = this ;
    that.setData({value2:e.detail})

    UTIL.httpRequest(API.URL_GET_GETDICTTYPE + 'order_type', {method:'GET'}, {
      success: (res) => {
        UTIL.httpRequest(API.URL_GET_GETMONEYORDERLIST, {method:'GET',orderType:that.data.value1,orderStatus:that.data.value2},{
          success: (response) => {
            if (response.code == API.SUCCESS_CODE) {
    
              for (let i = 0; i < response.rows.length; i++) {
                response.rows[i].orderTypeText = UTIL.getTransform(response.rows[i].orderType,res.data);
                response.rows[i].startTime = response.rows[i].startTime.replace(/-/g,".");
                response.rows[i].endTime = response.rows[i].endTime.replace(/-/g,".");
                response.rows[i].orderAmount =  parseFloat(response.rows[i].orderAmount).toFixed(2);
              }
    
              that.setData({
                moneyorderList:response.rows
              })
            }
          }
        })
      }
    })


  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})